glutWarpPointer(3GLUT)

NAME
glutWarpPointer warps the pointer's location.

SYNTAX

void glutWarpPointer(int x, int y);

ARGUMENTS

x   X offset relative to the current window's origin (upper left).

y   Y offset relative to the current window's origin (upper left).

DESCRIPTION
glutWarpPointer warps the window system's pointer to a new location relative to the origin of the current window. The new location will be offset x pixels on the X axis and y pixels on the Y axis. These parameters may be negative. The warp is done immediately. If the pointer would be warped outside the screen's frame buffer region, the location will be clamped to the nearest screen edge. The window system is allowed to further constrain the pointer's location in window system dependent ways. The following is good advice that applies to glutWarpPointer: ``There is seldom any reason for calling this function. The pointer should normally be left to the user.'' (from Xlib's XWarpPointer man page.)

SEE ALSO
glutMouseFunc, glutMotionFunc

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)